GraphiQL open_in_new

# `Organization`

An account on GitHub, with one or more owners, that has repositories, members and teams.

## GraphQL Schema definition `

- type Organization implements Node, ProjectOwner, RepositoryOwner, UniformResourceLocatable {
- # A URL pointing to the organization's public avatar.
- #
- # Arguments
- # size: The size of the resulting square
- # image.
- avatarURL(size: Int): String!
- # Find gist by repo name.
- #
- # Arguments
- # name: The gist name to find.
- gist(name: String!): Gist
- # A list of the Gists the user has created.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # visibility: Allows filtering by gist
- # visibility.
- gists(first: Int, after: String, last: Int, before: String, visibility: GistVisibility): GistConnection!
- id: ID!
- # The username used to login.
- login: String!
- # A list of users who are members of this organization.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- members(first: Int, after: String, last: Int, before: String): UserConnection!
- # The organization's public profile name.
- name: String!
- # The HTTP path for this user
- path: URI!
- # Find project by number.
- #
- # Arguments
- # number: The project number to find.
- project(number: Int!): Project
- # A list of projects under the owner.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # orderBy: Ordering options for projects
- # returned from the connection
- # search: Query to search projects by,
- # currently only searching by name.
- projects(first: Int, after: String, last: Int, before: String, orderBy: ProjectOrder, search: String): ProjectConnection!
- # The HTTP path listing organization's projects
- projectsPath: URI!
- # The HTTP url listing organization's projects
- projectsUrl: URI!
- # A list of repositories that the user owns.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # privacy: If non-null, filters repositories
- # according to privacy
- # isFork: If non-null, filters repositories
- # according to whether they are forks of another repository
- # orderBy: Ordering options for repositories
- # returned from the connection
- repositories(first: Int, after: String, last: Int, before: String, privacy: RepositoryPrivacy, isFork: Boolean, orderBy: RepositoryOrder): RepositoryConnection!
- # Find Repository.
- #
- # Arguments
- # name: Name of Repository to find.
- repository(name: String!): Repository
- # A list of teams in this organization.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- teams(first: Int, after: String, last: Int, before: String): TeamConnection!
- # The HTTP url for this user
- url: URI!
- # Can the current viewer create new projects on this
- # owner.
- viewerCanCreateProjects: Boolean!
- # Viewer can create repositories on this organization
- viewerCanCreateRepositories: Boolean!
- }

`